Package io.vertx.rabbitmq

## Class QueueOptions

- java.lang.Object
- - io.vertx.rabbitmq.QueueOptions

-     public class QueueOptions
      extends Object

  Aimed to specify queue consumer settings when calling `RabbitMQClient.basicConsumer(String, QueueOptions)`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueueOptions()` |
    `QueueOptions​(JsonObject json)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<String,​Object>` | `getConsumerArguments()` |
    `String` | `getConsumerTag()` |
    `boolean` | `isAutoAck()` |
    `boolean` | `isConsumerExclusive()` |
    `boolean` | `isNoLocal()` |
    `int` | `maxInternalQueueSize()` |
    `QueueOptions` | `setAutoAck​(boolean autoAck)` |
    `void` | `setConsumerArguments​(Map<String,​Object> consumerArguments)` |
    `void` | `setConsumerExclusive​(boolean consumerExclusive)` |
    `void` | `setConsumerTag​(String consumerTag)` |
    `QueueOptions` | `setMaxInternalQueueSize​(int maxInternalQueueSize)` |
    `void` | `setNoLocal​(boolean noLocal)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueueOptions

          public QueueOptions()

    - #### QueueOptions

          public QueueOptions​(JsonObject json)

  - ### Method Detail

    - #### setAutoAck

          public QueueOptions setAutoAck​(boolean autoAck)

      Parameters:
        `autoAck` - true if the server should consider messages acknowledged once delivered; false if the server should expect explicit acknowledgements

    - #### setMaxInternalQueueSize

          public QueueOptions setMaxInternalQueueSize​(int maxInternalQueueSize)

      Parameters:
        `maxInternalQueueSize` - the size of internal queue

    - #### isAutoAck

          public boolean isAutoAck()

      Returns:
        true if the server should consider messages acknowledged once delivered; false if the server should expect explicit acknowledgements

    - #### maxInternalQueueSize

          public int maxInternalQueueSize()

      Returns:
        the size of internal queue

    - #### isNoLocal

          public boolean isNoLocal()

    - #### setNoLocal

          public void setNoLocal​(boolean noLocal)

    - #### isConsumerExclusive

          public boolean isConsumerExclusive()

    - #### setConsumerExclusive

          public void setConsumerExclusive​(boolean consumerExclusive)

    - #### getConsumerTag

          public String getConsumerTag()

    - #### setConsumerTag

          public void setConsumerTag​(String consumerTag)

    - #### getConsumerArguments

          public Map<String,​Object> getConsumerArguments()

    - #### setConsumerArguments

          public void setConsumerArguments​(Map<String,​Object> consumerArguments)